> ## Documentation Index
> Fetch the complete documentation index at: https://docs.simli.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start Auto Session

> Start new Simli Auto Session without preconfigured agent



## OpenAPI

````yaml https://api.simli.ai/openapi.yaml post /auto/start/configurable
openapi: 3.1.0
info:
  title: Simli
  version: 1.0.0
servers:
  - url: https://api.simli.ai/
    description: API server
security:
  - ApiKeyAuth: []
paths:
  /auto/start/configurable:
    post:
      summary: Start Auto Session
      description: Start new Simli Auto Session without preconfigured agent
      operationId: startPipecatSession_auto_start_configurable_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConfigurableSessionRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SessionDetails'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      deprecated: true
components:
  schemas:
    ConfigurableSessionRequest:
      properties:
        faceId:
          type: string
          title: Faceid
          default: tmp9i8bbq7c
        ttsProvider:
          allOf:
            - $ref: '#/components/schemas/TTS_Provider'
          default: Cartesia
        ttsAPIKey:
          anyOf:
            - type: string
            - type: 'null'
          title: Ttsapikey
        ttsModel:
          type: string
          title: Ttsmodel
          default: sonic-turbo-2025-03-07
        voiceId:
          type: string
          title: Voiceid
          default: a167e0f3-df7e-4d52-a9c3-f949145efdab
        systemPrompt:
          anyOf:
            - type: string
            - type: 'null'
          title: Systemprompt
          default: >-
            You are Chatbot, a friendly, helpful robot. Your goal is to
            demonstrate your capabilities in a succinct way. Your output will be
            converted to audio so don't include special characters in your
            answers. Respond to what the user said in a creative and helpful
            way, but keep your responses brief.
        firstMessage:
          anyOf:
            - type: string
            - type: 'null'
          title: Firstmessage
        maxSessionLength:
          type: integer
          title: Maxsessionlength
          default: 3600
        maxIdleTime:
          type: integer
          title: Maxidletime
          default: 300
        language:
          type: string
          title: Language
          default: en
        customLLMConfig:
          anyOf:
            - $ref: '#/components/schemas/CustomLLMConfig'
            - type: 'null'
        llmConfig:
          allOf:
            - $ref: '#/components/schemas/LLMConfig'
          default:
            model: gpt-4o-mini
            provider: OpenAI
        createTranscript:
          type: boolean
          title: Createtranscript
          default: false
        model:
          allOf:
            - $ref: '#/components/schemas/SimliModels'
          default: artalk
      type: object
      title: ConfigurableSessionRequest
    SessionDetails:
      properties:
        roomUrl:
          type: string
          title: Roomurl
        sessionId:
          type: string
          title: Sessionid
      type: object
      required:
        - roomUrl
        - sessionId
      title: SessionDetails
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TTS_Provider:
      type: string
      enum:
        - ElevenLabs
        - PlayHT
        - Cartesia
        - User
      title: TTS_Provider
    CustomLLMConfig:
      properties:
        model:
          type: string
          title: Model
        baseURL:
          type: string
          title: Baseurl
        llmAPIKey:
          type: string
          title: Llmapikey
      type: object
      required:
        - model
        - baseURL
        - llmAPIKey
      title: CustomLLMConfig
    LLMConfig:
      properties:
        model:
          anyOf:
            - $ref: '#/components/schemas/OpenAI_Models'
            - $ref: '#/components/schemas/Google_Models'
            - type: string
          title: Model
          default: gpt-4o-mini
        provider:
          allOf:
            - $ref: '#/components/schemas/LLM_Provider'
          default: OpenAI
        apiKey:
          anyOf:
            - type: string
            - type: 'null'
          title: Apikey
        baseURL:
          anyOf:
            - type: string
            - type: 'null'
          title: Baseurl
      type: object
      title: LLMConfig
    SimliModels:
      type: string
      enum:
        - fasttalk
        - artalk
      title: SimliModels
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    OpenAI_Models:
      type: string
      enum:
        - gpt-4o
        - gpt-4o-mini
        - gpt-4.1
        - gpt-4.1-mini
        - gpt-4.1-nano
      title: OpenAI_Models
    Google_Models:
      type: string
      enum:
        - gemini-2.5-pro
        - gemini-2.5-flash
        - gemini-2.5-flash-lite-preview-06-17
      title: Google_Models
    LLM_Provider:
      type: string
      enum:
        - OpenAI
        - Google
        - User
      title: LLM_Provider
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-simli-api-key

````